<template>
    <v-card :to="'/detail/prohlidka/'+item.id">
        <v-card-title>{{item.nazev}}</v-card-title>
        <v-card-text>{{item.popis}}</v-card-text>
        <v-card-actions>
            <v-spacer />
            <v-btn v-on:click="smazat">
                <v-icon>mdi-delete</v-icon>
            </v-btn>
        </v-card-actions>
    </v-card>
</template>

<script>
    export default {
        props: {
            item: {}
        },
        methods: {
            smazat: async function (event) {
                await this.$axios.delete('/api/Prohlidka/' + this.item.id)
                    .then(res => {
                        console.log(res.data);
                    })
                    .catch((err) => {
                        console.log(err);
                    })
                    .then(res => {
                        location.href = '/prohlidky';
                    })  
            }
        }
    }
</script>
